Subject: Re: [net-next PATCH 29/29] fm10k: Add support for PTP

From: Richard Cochran <[email-masked]>
Date: Sat, 20 Sep 2014 23:16:49 +0200

On Fri, Sep 19, 2014 at 11:32:24AM -0700, Alexander Duyck wrote:
> 
> Because the value cannot be adjusted directly.  The timesource for the
> switch is shared by all ports and host interfaces.  As such we have to
> maintain a software offset per host to avoid corrupting the other clocks.

So any host can set the time, but only one may adjust the frequency?

Regarding the overflow, probably you can remove the daily check, since
you only need a single clock read every 300 years, and that is
reasonable to expect in any case.

Thanks,
Richard